module Form.Locale.CountryCodeSpec exposing (suite)

import Expect
import Form.Locale.CountryCode as CountryCode
import Test


suite : Test.Test
suite =
    Test.describe "Forms.Locale.CountryCode round trip"
        ([ CountryCode.AD, CountryCode.AE, CountryCode.AF, CountryCode.AG, CountryCode.AI, CountryCode.AL, CountryCode.AM, CountryCode.AO, CountryCode.AQ, CountryCode.AR, CountryCode.AS, CountryCode.AT, CountryCode.AU, CountryCode.AW, CountryCode.AX, CountryCode.AZ, CountryCode.BA, CountryCode.BB, CountryCode.BD, CountryCode.BE, CountryCode.BF, CountryCode.BG, CountryCode.BH, CountryCode.BI, CountryCode.BJ, CountryCode.BL, CountryCode.BM, CountryCode.BN, CountryCode.BO, CountryCode.BQ, CountryCode.BR, CountryCode.BS, CountryCode.BT, CountryCode.BW, CountryCode.BY, CountryCode.BZ, CountryCode.CA, CountryCode.CC, CountryCode.CD, CountryCode.CF, CountryCode.CG, CountryCode.CH, CountryCode.CI, CountryCode.CK, CountryCode.CL, CountryCode.CM, CountryCode.CN, CountryCode.CO, CountryCode.CR, CountryCode.CU, CountryCode.CV, CountryCode.CW, CountryCode.CX, CountryCode.CY, CountryCode.CZ, CountryCode.DE, CountryCode.DJ, CountryCode.DK, CountryCode.DM, CountryCode.DO, CountryCode.DZ, CountryCode.EC, CountryCode.EE, CountryCode.EG, CountryCode.EH, CountryCode.ER, CountryCode.ES, CountryCode.ET, CountryCode.FI, CountryCode.FJ, CountryCode.FK, CountryCode.FM, CountryCode.FO, CountryCode.FR, CountryCode.GA, CountryCode.GB, CountryCode.GD, CountryCode.GE, CountryCode.GF, CountryCode.GG, CountryCode.GH, CountryCode.GI, CountryCode.GL, CountryCode.GM, CountryCode.GN, CountryCode.GP, CountryCode.GQ, CountryCode.GR, CountryCode.GT, CountryCode.GU, CountryCode.GW, CountryCode.GY, CountryCode.HK, CountryCode.HM, CountryCode.HN, CountryCode.HT, CountryCode.HU, CountryCode.ID, CountryCode.IE, CountryCode.IL, CountryCode.IM, CountryCode.IN, CountryCode.IO, CountryCode.IQ, CountryCode.IR, CountryCode.IS, CountryCode.IT, CountryCode.JE, CountryCode.JM, CountryCode.JO, CountryCode.JP, CountryCode.KE, CountryCode.KG, CountryCode.KH, CountryCode.KI, CountryCode.KM, CountryCode.KN, CountryCode.KP, CountryCode.KR, CountryCode.KW, CountryCode.KY, CountryCode.KZ, CountryCode.LA, CountryCode.LB, CountryCode.LC, CountryCode.LI, CountryCode.LK, CountryCode.LR, CountryCode.LS, CountryCode.LT, CountryCode.LU, CountryCode.LV, CountryCode.LY, CountryCode.MA, CountryCode.MC, CountryCode.MD, CountryCode.ME, CountryCode.MF, CountryCode.MG, CountryCode.MH, CountryCode.MK, CountryCode.ML, CountryCode.MM, CountryCode.MN, CountryCode.MO, CountryCode.MP, CountryCode.MQ, CountryCode.MR, CountryCode.MS, CountryCode.MT, CountryCode.MU, CountryCode.MV, CountryCode.MW, CountryCode.MX, CountryCode.MY, CountryCode.MZ, CountryCode.NA, CountryCode.NC, CountryCode.NE, CountryCode.NF, CountryCode.NG, CountryCode.NI, CountryCode.NL, CountryCode.NO, CountryCode.NP, CountryCode.NR, CountryCode.NU, CountryCode.NZ, CountryCode.OM, CountryCode.PA, CountryCode.PE, CountryCode.PF, CountryCode.PG, CountryCode.PH, CountryCode.PK, CountryCode.PL, CountryCode.PM, CountryCode.PR, CountryCode.PS, CountryCode.PT, CountryCode.PW, CountryCode.PY, CountryCode.QA, CountryCode.RE, CountryCode.RO, CountryCode.RS, CountryCode.RU, CountryCode.RW, CountryCode.SA, CountryCode.SB, CountryCode.SC, CountryCode.SD, CountryCode.SE, CountryCode.SG, CountryCode.SH, CountryCode.SI, CountryCode.SJ, CountryCode.SK, CountryCode.SL, CountryCode.SM, CountryCode.SN, CountryCode.SO, CountryCode.SR, CountryCode.SS, CountryCode.ST, CountryCode.SV, CountryCode.SX, CountryCode.SY, CountryCode.SZ, CountryCode.TC, CountryCode.TD, CountryCode.TG, CountryCode.TH, CountryCode.TJ, CountryCode.TK, CountryCode.TL, CountryCode.TM, CountryCode.TN, CountryCode.TO, CountryCode.TR, CountryCode.TT, CountryCode.TV, CountryCode.TW, CountryCode.TZ, CountryCode.UA, CountryCode.UG, CountryCode.US, CountryCode.UY, CountryCode.UZ, CountryCode.VA, CountryCode.VC, CountryCode.VE, CountryCode.VG, CountryCode.VI, CountryCode.VN, CountryCode.VU, CountryCode.WF, CountryCode.WS, CountryCode.YE, CountryCode.YT, CountryCode.ZA, CountryCode.ZM, CountryCode.ZW ]
            |> List.map
                (\countryCode ->
                    Test.test (CountryCode.toString countryCode) <|
                        \_ ->
                            CountryCode.toString countryCode
                                |> CountryCode.fromString
                                |> Expect.equal (Just countryCode)
                )
        )
